version: '2.1'
services:
  db:
    image: 'mysql:5.7'
    command: '--max_allowed_packet=32505856' # Set max_allowed_packet to 256M
    restart: always
    env_file: .env
    volumes:
      - ./db/:/docker-entrypoint-initdb.d/
      - mysql_data:/var/lib/mysql
    ports:
      - "127.0.0.1:3309:3389"
  lh-toolkit:
    image: registry.gitlab.com/librehealth/toolkit/lh-toolkit-docker:latest
    ports:
      - '127.0.0.1:8080:8080'
    volumes:
      - ./lh-toolkit-runtime.properties:/usr/local/tomcat/lh-toolkit-runtime.properties
    depends_on:
      - db
    restart: always
volumes:
  mysql_data: {}
